# GESTransitionClip

Creates an object that mixes together the two underlying objects, A and B. The A object is assumed to have a higher prioirity (lower number) than the B object. At the transition in point, only A will be visible, and by the end only B will be visible.

The shape of the video transition depends on the value of the "vtype" property. The default value is "crossfade". For audio, only "crossfade" is supported.

The ID of the ExtractableType is the nickname of the vtype property value. Note that this value can be changed after creation and the GESExtractable.asset value will be updated when needed.

## GESTransitionClip

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESContainer
                    ╰──GESClip
                        ╰──GESOperationClip
                            ╰──GESBaseTransitionClip
                                ╰──GESTransitionClip

### Children Properties

#### `border`

The border width

Value type: guint

See border

#### `invert`

Whether the transition is inverted

Value type: gboolean

See invert

### Members

`vtype` (GESVideoStandardTransitionType) –

a GESVideoStandardTransitionType indicating the type of video transition to apply.

### Class structure

#### GESTransitionClipClass

### GES.TransitionClipClass

## GES.TransitionClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.OperationClip
                            ╰──GES.BaseTransitionClip
                                ╰──GES.TransitionClip

### Children Properties

#### `border`

The border width

Value type: Number

See border

#### `invert`

Whether the transition is inverted

Value type: Number

See invert

### Members

`vtype` (GES.VideoStandardTransitionType) –

a GES.VideoStandardTransitionType indicating the type of video transition to apply.

## GES.TransitionClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.OperationClip
                            ╰──GES.BaseTransitionClip
                                ╰──GES.TransitionClip

### Children Properties

#### `border`

The border width

Value type: int

See border

#### `invert`

Whether the transition is inverted

Value type: bool

See invert

### Members

`vtype` (GES.VideoStandardTransitionType) –

a GES.VideoStandardTransitionType indicating the type of video transition to apply.

### Constructors

#### ges_transition_clip_new

    GESTransitionClip *
    ges_transition_clip_new (GESVideoStandardTransitionType vtype)

Creates a new GESTransitionClip.

Parameters:

`vtype` –

the type of transition to create

Returns ( [transfer: floating][nullable]) –

a newly created GESTransitionClip, or NULL if something went wrong.

#### GES.TransitionClip.prototype.new

    function GES.TransitionClip.prototype.new(vtype: GES.VideoStandardTransitionType): {
        // javascript wrapper for 'ges_transition_clip_new'
    }

Creates a new GES.TransitionClip.

Parameters:

`vtype` (GES.VideoStandardTransitionType) –

the type of transition to create

Returns (GES.TransitionClip) –

a newly created GES.TransitionClip, or null if something went wrong.

#### GES.TransitionClip.new

    def GES.TransitionClip.new (vtype):
        #python wrapper for 'ges_transition_clip_new'

Creates a new GES.TransitionClip.

Parameters:

`vtype` (GES.VideoStandardTransitionType) –

the type of transition to create

Returns (GES.TransitionClip) –

a newly created GES.TransitionClip, or None if something went wrong.

#### ges_transition_clip_new_for_nick

    GESTransitionClip *
    ges_transition_clip_new_for_nick (char* nick)

Creates a new GESTransitionClip for the provided nick.

Parameters:

`nick` –

a string representing the type of transition to create

Returns ( [transfer: floating][nullable]) –

The newly created GESTransitionClip, or NULL if something went wrong

#### GES.TransitionClip.prototype.new_for_nick

    function GES.TransitionClip.prototype.new_for_nick(nick: String): {
        // javascript wrapper for 'ges_transition_clip_new_for_nick'
    }

Creates a new GES.TransitionClip for the provided nick.

Parameters:

`nick` (String) –

a string representing the type of transition to create

Returns (GES.TransitionClip) –

The newly created GES.TransitionClip, or null if something went wrong

#### GES.TransitionClip.new_for_nick

    def GES.TransitionClip.new_for_nick (nick):
        #python wrapper for 'ges_transition_clip_new_for_nick'

Creates a new GES.TransitionClip for the provided nick.

Parameters:

`nick` (str) –

a string representing the type of transition to create

Returns (GES.TransitionClip) –

The newly created GES.TransitionClip, or None if something went wrong

### Properties

#### vtype

    “vtype” GESVideoStandardTransitionType *

a GESVideoStandardTransitionType representing the wipe to use

Flags : Read / Write / Construct

#### vtype

    “vtype” GES.VideoStandardTransitionType

a GES.VideoStandardTransitionType representing the wipe to use

Flags : Read / Write / Construct

#### vtype

    “self.props.vtype” GES.VideoStandardTransitionType

a GES.VideoStandardTransitionType representing the wipe to use

Flags : Read / Write / Construct

## Constants

### GES_TYPE_TRANSITION_CLIP

    #define GES_TYPE_TRANSITION_CLIP ges_transition_clip_get_type()

The results of the search are